//
//  Base.swift
//  GoldWars
//
//  Created by Marcel Schwarz on 18.04.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit
import GameplayKit

class Base {
    var spriteNode: BaseNode!

    init(frame: CGRect, color: UIColor, position: CGPoint) {
        spriteNode = BaseNode(texture: SKTexture(imageNamed: "Base"), color: color, size: CGSize(width: 50.0, height: 50.0))
        spriteNode.colorBlendFactor = 1
        spriteNode.name = "Base"
        spriteNode.position = position
        spriteNode.isUserInteractionEnabled = true
    }
}

class BaseNode: SKSpriteNode {
    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        print("\(self.name!) was touched and is located at \(self.position)")
        self.run(
            SKAction.sequence(
                [
                    SKAction.resize(byWidth: 20, height: 20, duration: 0.5),
                    SKAction.resize(byWidth: -20, height: -20, duration: 0.5)
                ]
            )
        )
        
    }
}

enum PlayerColors {
    static let colors = [
        UIColor(red: 231/255, green: 76/255, blue: 60/255, alpha: 1.0),
        UIColor(red: 241/255, green: 196/255, blue: 15/255, alpha: 1.0),
        UIColor(red: 46/255, green: 204/255, blue: 113/255, alpha: 1.0),
        UIColor(red: 52/255, green: 152/255, blue: 219/255, alpha: 1.0),
    ]
}
