//
//  GameScene.swift
//  GoldWars
//
//  Created by Aldin Duraki on 18.04.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit
import GameplayKit

class GameScene: SKScene {
    
    var entities = [GKEntity]()
    var graphs = [String : GKGraph]()
    var bases = [Base]()
    
    override func sceneDidLoad() {
        
        // Spawn bases
        for _ in 1...15 {
            let color = PlayerColors.colors.randomElement()
            let xRange = Int(frame.minX + frame.width * 0.07)...Int(frame.maxX - frame.width * 0.07)
            let yRange = Int(frame.minY + frame.height * 0.07)...Int(frame.maxY - frame.width * 0.07)
            let position = CGPoint(
                x: Int.random(in: xRange),
                y: Int.random(in: yRange)
            )
            
            print("Generating Base at \(position)")
            
            let base = Base(frame: frame, color: color!, position: position)
            
            addChild(base.spriteNode)
            bases.append(base)
        }
        
    }
    override func didMove(to view: SKView) {
         let background = SKSpriteNode(imageNamed: "Background")
         background.position = CGPoint(x: self.size.width / 2, y: self.size.height / 2)
         background.zPosition = -1
         background.size = self.size
         self.addChild(background)
     }
     
    
    func touchDown(atPoint pos : CGPoint) {

    }
    
    func touchMoved(toPoint pos : CGPoint) {

    }
    
    func touchUp(atPoint pos : CGPoint) {

    }
    
    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        
    }
    
    override func touchesMoved(_ touches: Set<UITouch>, with event: UIEvent?) {
        
    }
    
    override func touchesEnded(_ touches: Set<UITouch>, with event: UIEvent?) {
        
    }
    
    override func touchesCancelled(_ touches: Set<UITouch>, with event: UIEvent?) {
        
    }

    override func update(_ currentTime: TimeInterval) {

    }
}
